Browse Source

Upversion kubernetes config files to be 1.16 compatible

Updating DaemonSet from extensions/v1beta1 to app/v1
Updating Deployment from extensions/v1beta1 to app/v1

app/v1 has a requirement for "selector" entries.

Refer to:
https://kubernetes.io/blog/2019/07/18/api-deprecations-in-1-16

Change-Id: I2c2efceb71309276bf389eb76d228174cdfd926f
Depends-On: https://review.opendev.org/#/c/684351
Signed-off-by: Al Bailey <Al.Bailey@windriver.com>
changes/56/684356/1
Al Bailey 2 years ago
parent
commit
068f55754e
3 changed files with 6 additions and 3 deletions
  1. +1
    -1
      stx-platform-helm/centos/build_srpm.data
  2. +1
    -1
      stx-platform-helm/stx-platform-helm/helm-charts/rbd-provisioner/templates/daemonset.yaml
  3. +4
    -1
      stx-platform-helm/stx-platform-helm/helm-charts/rbd-provisioner/templates/deployment.yaml

+ 1
- 1
stx-platform-helm/centos/build_srpm.data View File

@ -4,4 +4,4 @@ COPY_LIST_TO_TAR="\
$STX_BASE/helm-charts/node-feature-discovery/node-feature-discovery/helm-charts \
"
TIS_PATCH_VER=7
TIS_PATCH_VER=8

+ 1
- 1
stx-platform-helm/stx-platform-helm/helm-charts/rbd-provisioner/templates/daemonset.yaml View File

@ -7,7 +7,7 @@
*/}}
{{- if eq .Values.global.deployAs "DaemonSet" }}
apiVersion: extensions/v1beta1
apiVersion: apps/v1
kind: DaemonSet
metadata:
name: {{ .Values.global.name }}


+ 4
- 1
stx-platform-helm/stx-platform-helm/helm-charts/rbd-provisioner/templates/deployment.yaml View File

@ -7,13 +7,16 @@
*/}}
{{- if eq .Values.global.deployAs "Deployment" }}
apiVersion: extensions/v1beta1
apiVersion: apps/v1
kind: Deployment
metadata:
name: {{ .Values.global.name }}
namespace: {{ .Release.Namespace }}
spec:
replicas: {{ .Values.global.replicas }}
selector:
matchLabels:
app: {{ .Values.global.name }}
strategy:
type: Recreate
template:


Loading…
Cancel
Save